Bug 460765 - MonoDevelop Project->Options not available
MonoDevelop Project->Options not available
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
Depends On: 462053
  Show dependency treegraph
Reported: 2008-08-31 05:28 EDT by Arthur Dent
Modified: 2008-09-25 16:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-17 20:03:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arthur Dent 2008-08-31 05:28:38 EDT
Description of problem:

In MonoDevelop v.0.19 - installed using yum - running on a fully updated F9 system. Either when creating a new C# project, or opening an existing one, the menu option Project -> Options is greyed out and unavailable. As this is where the option to select Mono framework v.1.0 or 2.0 resides it makes compiling any project which requires Mono 2.0 impossible.

Also at startup there is an empty error dialogue box stating that add-in could not be loaded (but that is, I think, the subject of another bug).

Also the GUI builder - Stetic - does not seem to work, but I have not investigated this fully.

Version-Release number of selected component (if applicable):

MonoDevelop v.0.19

How reproducible:

Steps to Reproduce:
1. Install MonoDevelop and all its dependencies using yum
2. Create a new project (or load an existing one).
3. Try to select the project options screen (Menu : Project -> Options) It is not availble (greyed out).
Actual results:

Expected results:

Should be able to change project options (such as which version of the framework to compile against).

Additional info:
Comment 1 Paul F. Johnson 2008-08-31 10:10:44 EDT
Okay, you first need to use mono-addins 0.3.1 - this will fix quite a lot of the problems. I'll need to check on a few things before I get it into F9 though.

Can you try the versions in rawhide? It's a damned sight nicer and may be a short term fix.
Comment 2 Arthur Dent 2008-08-31 11:40:12 EDT
Thanks for the speedy response.

Enabling Rawhide repo to update monodevelop and mono-addins wants to update 122 packages (including stuff like kdevelop, Amarok  and OpenOffice!) and install a further 23 for dependencies (371Mb in total).

Is it likely to break anything if I do so? I am willing to do this if you can reassure me at least a little bit. I know you can't make promises, but is the stuff in Rawhide largely stable, and does it play nicely with the rest of F9?

Thanks for your help.
Comment 3 Paul F. Johnson 2008-08-31 14:47:09 EDT
Not a problem!

yum update mono mono-addins causes you to need 122 updates? Wow!

It's not likely to break anything to be honest. But I'll do a push tonight/tomorrow and get monodevelop and mono-addins et al into F9, so no need to worry!
Comment 4 Arthur Dent 2008-08-31 16:54:35 EDT

I, for one, appreciate your hard work. Many thanks!
Comment 5 Paul F. Johnson 2008-09-12 04:45:02 EDT
New mono-addins is in f9-update-candidates now. MD will be in as soon as mono-tools and gnome-desktop-sharp is in f9.
Comment 6 Arthur Dent 2008-09-25 12:43:23 EDT
Comment 7 Arthur Dent 2008-09-25 12:47:56 EDT
Just a question...

There was today (Thur 25 September) a clutch of updates hitting the repos but, as yet, mono-addins (or monodevelop) does not seem to be amongst them.

Roughly how long between you pushing a fix into f9-update-candidates and it appearing in F9 updates for we mortals?

Comment 8 Paul F. Johnson 2008-09-25 13:20:53 EDT
Are you using the updates-testing.newkey repo or the old updates-testing?
Comment 9 Arthur Dent 2008-09-25 16:47:14 EDT
Oooops... Thwack. (Sound of hand smacking forehead sharply). I just didn't think about the "newkey" thing. Sorry.

I now have mono-addins.i386 0:0.3.1-2.2.fc9. I haven't had time to try it out yet 
but from a quick look it certainly seems to have fixed the "options" problem and the startup error problem.

Thanks for your help. It's greatly appreciated.

Note You need to log in before you can comment on or make changes to this bug.